@font-face {
  font-family: XJ-9;
  src: url('/ITC_Anna_Std_Regular.woff2') format('woff2');
}

@font-face {
  font-family: DejaVuSansMono;
  src: url('/DejaVuSansMono.ttf');
}

:root {
    --main-bg-color: #101010FF;
    --main-bg-transp-color: #10101090;
    --main-text: #FFFFFF;
    --main-sec: #66c7cc; /* main secondary color for the site */
    --code-quote-bg: #1D1F21; /* background color for quotes and code blocks */
    --copyright: #808080; /* copyright text color */
}

html {
  min-height: 100%;
}

body {
  background: linear-gradient(var(--main-bg-transp-color),var(--main-bg-color) 150px calc(100% - 200px)),url(/snow_cyan.gif),var(--main-bg-color) none repeat scroll 0 0;
  color: var(--main-text);
}

pre {
  background: var(--main-bg-color);
  border: 1px solid #303030;
  border-radius: 5px;
}

hr {
  opacity: 10;
}

a {
  text-decoration: none;
}

.siteTitle a {
  color: var(--main-sec);
  font-family: XJ-9, 'OpenSans', Arial, Helvetica, sans-serif;
}

.intro a {
  color: var(--main-sec);
}

.post-preview a, .post-reply a {
    color: #06c;
}

.quote {
  color: #789922;
}

.pinkText {
  color: #FEAEC9;
}

.heading {
	color: #AF0A0F;
	font-weight: bold;
	font-size: 125%;
}

summary {
    cursor: pointer;
}

.post {
  background: #202020;
  border-left: 1px solid #303030;
  border-right: 1px solid #303030;
  border-top: 1px solid #303030;
  border-radius: 0.2em;
  box-shadow: 0 1px 2px 0 #000000, 0 2px 5px 0 #000000;
}

.post .content a:hover { color: var(--main-sec); }
.social-link:hover { color: var(--main-sec); }
.nav-item-title:hover { color: var(--main-sec); }
.tag a:hover { color: var(--main-sec); }
.copyright { color: var(--copyright); }
.poweredby { color: var(--copyright); }
.poweredby a { color: var(--copyright); }

.nav-item-title {
  color:#FFFFFF;
}

.social-link {
  color:#FFFFFF;
}

.unconfident {
  opacity: 66%;
}

.post-preview {
  background: #eef2ff;
  color: #000000;
  margin: 0.25em 4px;
  padding: 0.2em 0.3em 0.5em 0.6em;
  border-width: 1px;
  border-style: none solid solid none;
  border-color: #B7C5D9;
  max-width: 94%!important;
}

.post-preview .title a {
  color: #000000;
}

.post-preview .tags a {
  color: var(--copyright);
}

.post-preview .ref-count a {
  color: var(--copyright);
}

.post-reply {
  background: #D6DAF0;
  color: #000000;
  margin: 0.25em 0.5em 0.25em 0.3em;
  padding: 0.2em 0.3em 0.5em 0.6em;
  border-width: 1px;
  border-style: none solid solid none;
  border-color: #B7C5D9;
  display: inline-block;
}

.post-reply .title a {
  color: #000000;
}

.post-reply .tags a {
  color: var(--copyright);
}

.post-reply .ref-count a {
  color: var(--copyright);
}

.summary-details {
  border: 1px dotted #303030;
  border-radius: 5px;
  padding: 5px;
}

.details-body {
  background: #C7C5E1;
  color: #000000;
  margin: 0.25em 0.5em 0.25em 0.3em;
  padding: 0.2em 0.3em 0.5em 0.6em;
  border-width: 1px;
  border-style: none solid solid none;
  border-color: #B7C5D9;
  min-width: 90%;
  display: inline-block;
}

.post-footer-data {
  background-color: #101010;
  border-bottom: 1px solid #303030;
}

.post-footer hr {
  color: #303030;
}

.content-item {
  background: #202020;
  border: 1px solid #303030;
  border-radius: 0.2em;
  box-shadow: 0 1px 2px 0 #000000, 0 2px 5px 0 #000000;
}

.content-item .meta {
  border-top: 1px dotted #303030;
}

.content-item a:hover{
  text-decoration: underline;
  color: var(--main-sec);
}

.post-list .title {
  color: var(--main-sec);
}

.terms a {
  color:#FFFFFF;
}

.term-list-title a {
  color:#FFFFFF;
}

.term-list-title a {
  color:#FFFFFF;
}

.terms {
  background: #202020;
  border: 1px solid #303030;
  box-shadow: 0 1px 2px 0 #000000, 0 2px 5px 0 #000000;
}

.terms .term {
  border-bottom: 1px dotted #303030;
}

.term a:hover {
  text-decoration: underline;
  color: var(--main-sec);
}

.err-404 {
  background: var(--main-bg-color);
  border: 1px solid #303030;
  border-radius: 5px;
  font-family: 'DejaVuSansMono', monospace;
}